<div class="flex flex-column  tw-h-5/6">
    <p-toast />
    <span>{{canvasHeight}}</span>

    <!-- <div [style.height]="canvasHeight" [style.width]="canvasWidth" style="border: 0px solid black;   background-color: rgb(161, 185, 232); " > -->
    <div #parentElement class="tw-w-full tw-h-4/5 bg-blue-50">
        <canvas-whiteboard class="bg-rose-100   "  #canvas [options]="canvasOptions"
            [drawButtonClass]="'drawButtonClass fa fa-pencil'"
            [clearButtonClass]="'clearButtonClass fa fa-circle-xmark'"
            [undoButtonClass]="'undoButtonClass fa-solid fa-rotate-left'" [undoButtonEnabled]="true"
            [redoButtonClass]="'redoButtonClass fa-solid fa-rotate-right'" [redoButtonEnabled]="true"
            [saveDataButtonClass]="'saveDataButtonClass fa-solid fa-floppy-disk'" [strokeColorPickerText]="'สี'"
            [strokeColorPickerEnabled]="true" [lineWidth]="2" [strokeColor]="'rgb(255,0,0)'" (onClear)="onCanvasClear()"
            (onUndo)="onCanvasUndo($event)" (onSave)="handleSave($event)">
        </canvas-whiteboard>


    </div>
   
    
</div>

<div class="flex tw-justify-center tw-mt-3 tw-mb-1 bg-indigo-300">
    <button pButton pRipple type="button" label="" class="p-button-outlined" (click)="saveImage()">
        <i *ngIf="loading" class="pi pi-spin pi-spinner" style="font-size: 1.5rem"></i>
        <i *ngIf="!loading" class="pi pi-save " style="font-size: 1.5rem"></i>
        <span>บันทึกภาพ</span>
    </button>
</div>
